RPLAY(1)

NAME
rplay - play, pause, continue, and stop sounds

SYNOPSIS
rplay [options] [sound ...]

DESCRIPTION
rplay is client that communicates with rplayd to play, pause, continue, and stop sounds using both the RPLAY and RPTP protocols. Sound files can be played by rplayd directly if available on the local system or sounds can be sent over the network using UDP or TCP/IP. rplay will attempt to determine whether or not the server has the sound before using the network.

OPTIONS

-b BYTES, --buffer-size=BYTES
    Use of a buffer size of BYTES when playing sounds using RPTP flows. The default is 8K.

-c, --continue
    Continue sounds.

-n N, --count=N
    Number of times to play the sound, default = 1.

-N N, --list-count=N
    Number of times to play all the sounds, default = 1.

--list-name=NAME
    Name this list NAME. rplayd appends sounds with the same NAME into the same sound list -- it plays them sequentially.

--help
    Display helpful information.

-h HOST, --host=HOST, --hosts=HOST
    Specify the rplay host, default = localhost.

-i INFO, --info=INFO
    Audio information for a sound file. This option is intended to be used when sounds are read from standard input. INFO must be of the form:
        `format,sample-rate,bits,channels,byte-order,offset' Examples: ulaw,8000,8,1,big-endian,0
              gsm,8000 Shorthand info is provided for Sun's audio devices using the following options: --info-amd, --info-dbri, --info-cs4231. There's also: --info-ulaw and --info-gsm.

-p, --pause
    Pause sounds.

--port=PORT
    Use PORT instead of the default RPLAY/UDP or RPTP/TCP port.

-P N, --priority=N
    Play sounds at priority N (0 <= N <= 255), default = 0.

-r, --random
    Randomly choose one of the given sounds.

--reset
    Tell the server to reset itself.

--rplay, --RPLAY
    Force the use of the RPLAY protocol. The default protocol to be used is determined by checking whether or not the server has local access to the specified sounds. RPLAY is used when sounds are accessible, otherwise RPTP and possibly flows are used. RPLAY will also be used when sound accessibility cannot be determined.

--rptp, --RPTP
    Force the use of the RPTP protocol. See `--rplay' for more information about protocols.

-R N, --sample-rate=N
    Play sounds at sample rate N, default = 0.

-s, --stop
    Stop sounds.

--version
    Print the rplay version and exit.

-v N, --volume=N
    Play sounds at volume N (0 <= N <= 255), default = 127.

SEE ALSO
rplayd(8), rptp(1)